// creator  : weidu.exe (version 23100)
// argument : _DRELIK.DLG
// game		 : .
// source	 : ./override/_DRELIK.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_DRELIK~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #82083 /* ~You shouldn't have broken into my master's home.  Master Jardak will be quite displeased when he learns that ruffians have disturbed the order of his house.~ */
  IF ~~ THEN REPLY #82084 /* ~Who the hell are you, and why are you dressed in such silly colors?~ */ GOTO 1
  IF ~~ THEN REPLY #82085 /* ~Tell you master Jardak that we want to talk to him right away.~ */ GOTO 2
  IF ~~ THEN REPLY #82086 /* ~We'll be leaving now.  Sorry if we made a mess, but I'm sure you won't be that hard up to just clean up after us.~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #82087 /* ~My name is Drelik.  But really, my name, or the clothes I choose to wear are of no consequence.  Of consequence here, is that you have broken into my master's house and made a mess.  I think I'll have to clean up the mess... permanently.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
  IF ~Global("X#DynaheirDerlik1","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DynaheirDerlik1","GLOBAL",1)~ EXTERN ~_DYNAHJ~ 99
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #82088 /* ~Jardak will not see anyone... especially not a bunch of hooligans.  Well, lest I seem rude, I had better introduce myself.  My name is Drelik.  Now that you know my name, I can guiltlessly go about the task of cleaning up the mess you've made, which incidentally includes removing you from the premises.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
  IF ~Global("X#DynaheirDerlik2","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DynaheirDerlik2","GLOBAL",1)~ EXTERN ~_DYNAHJ~ 100
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #82089 /* ~Oh no!  You won't be leaving now... not after the mess you've made.  My master has given specific instructions that anyone who breaks into his dwelling is not to go anywhere... ever again.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
  IF ~Global("X#DynaheirDerlik3","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DynaheirDerlik3","GLOBAL",1)~ EXTERN ~_DYNAHJ~ 101
END

IF ~~ THEN BEGIN 4 // from: _DYNAHJ:99.1
  SAY #99689 /* ~Should have thought of that before!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: _DYNAHJ:100.1
  SAY #99689 /* ~Should have thought of that before!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: _DYNAHJ:101.1
  SAY #99689 /* ~Should have thought of that before!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END
